<template>
  <section class="hack-header">
    <div class="upper">
      <div class="text">
        <h2>
          {{ hackathon.name }}
        </h2>
        <div>
          {{ hackathon.description }}
        </div>
      </div>
      <div>
        <img :src="hackathon.logo" alt="logo">
      </div>
    </div>
    <div class="lower">
      <button>register</button>
    </div>
  </section>
</template>

<script>
export default {
  data() {
    return {
      hackathon: {
        name: "The Fucking Hackathon",
        description:
          "abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs abs ",
        logo: "https://pt.freelogodesign.org/Content/img/logo-ex-7.png"
      }
    }
  }
}
</script>

<style scoped>
.hack-header {
  display: flex;
  flex-flow: column nowrap;

  min-height: 30vh;
  background-color: orange;
}

.upper {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
}

.text {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;

  max-width: 50vw;
}

.text > h2 {
  margin-bottom: 5vh;
}
</style>
